#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <stdio.h>
#include <time.h>

char *xstrstr(char *s, char *b);
char *xstrcpy(char *s1, char *s2);

char *mystrstr(const char *s, const char *w);
char *mystrchr(const char *s, int c);
char *ncpy(char *dst, char *src, int len);
void strstr_test(void);
int main()
{
	int i,j;
	char bf[1000];
	char *s;
	strstr_test();

	strcpy(bf,"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaazd");
	for (i=0; i<100000; i++) {
		s = xstrstr(bf,"zd");
		s = mystrstr(bf,"zd");
	}
	return 0;
}
